Skip to main content
`Ctrl`+`K`

# FNSetScale

Sets the scaling parameters that define the matematical function.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNSetScale(FN fn,PetscScalar alpha,PetscScalar beta)

Logically Collective

## Input Parameters

- fn - the math function context

- alpha - inner scaling (argument)

- beta - outer scaling (result)

## Notes

Given a function \(f(x)\) specified by the `FN` type, the scaling parameters can be used to realize the function \(\beta f(\alpha x)\). So when these values are given, the procedure for function evaluation will first multiply the argument by \(\alpha\), then evaluate the function itself, and finally scale the result by \(\beta\). Likewise, these values are also considered when evaluating the derivative.

If you want to provide only one of the two scaling factors, set the other one to 1.0.

## See Also

FN: Mathematical Functions, `FNGetScale()`, `FNEvaluateFunction()`

## Level

intermediate

## Location

src/sys/classes/fn/interface/fnbasic.c

## Examples

src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex37.c
src/mfn/tutorials/ex39.c
src/mfn/tutorials/ex23f.F90
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90
src/eps/tutorials/ex36.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages